<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateVesselAvailabilitiesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sd_vessel_availabilities', function (Blueprint $table) {
            $table->id('vessel_availability_id');
            $table->string('factory_order_no', 45);
            $table->date('eta');
            $table->string('customer_po', 45);
            $table->string('designation', 200);
            $table->date('cargo_ready_date')->nullable();
            $table->string('suggest_vessel', 100);
            $table->date('suggest_date');
            $table->double('shipping_rate');
            $table->integer('currency_id');
            $table->integer('order_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('vessel_availabilities');
    }
}
